/* wfifo.c jeff absher 2003 */


#include <sys/types.h>
#include <sys/stat.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <minix/minlib.h>
#include <stdio.h>

_PROTOTYPE(int main, (int argc, char **argv));
_PROTOTYPE(int usage, (char *command));
_PROTOTYPE(int max, (int i1, int i2));

int max( i1, i2 )
int i1;
int i2;
{
	if( i1 < i2 ) return(i2);
	return(i1);
}

int main( argc, argv )
int argc;
char *argv[];
{
/*Because of the 8 or 16 bit storage spots, everything 
is 0 or > because when you do a truncate a complement-represented
int, it needs to be >0 */
	u8_t d3F_delim;
	u8_t d3F_opts;
	int d3F_blocks;
	if( argc < 4 ) exit( usage( argv[0] ));
	d3F_blocks = (u16_t) max( atoi( argv[2] ), 0 ); 
	if( atoi( argv[2] ) > -1 )
	{
		d3F_opts = (u8_t) max( atoi( argv[1] ), 0);
	}
	fprintf(stderr, "\nSystemcall returned %d\n", chwfifo( argv[ argc - 1 ], 1, d3F_opts, d3F_blocks ));
	exit(0);
}
int usage( command )
char *command;
{
  fprintf(stderr, "Usage: %s opts blocks file\n", command);
  fprintf(stderr, "for opts, \"or\" the following bitmaps together:\n" );
  fprintf(stderr, "\t00000001 = pruning on\n");
  fprintf(stderr, "use \"0\" in blocks for current status\n" );
  fprintf(stderr, "\t1-65536 for blocks (zones)\n" );
  fprintf(stderr, "\nDont try on dirs or special files" );
  fprintf(stderr, "\n" );
  return( -1 );
}
